Skip to main content

Choose a creative template

Creative Templates decide the structure and visual design of your videos. Creative Templates are Amplify-compatible After Effects projects uploaded to the platform which can be used for dynamic video creation.

Please consult our account management team on details regarding production and onboarding of Amplify-compatible Creative Templates. This document focuses on obtaining the ID for a ready-to-use Creative Template.

Template, TemplateStyle, TemplateStyleVersion​

In Amplify API, there are three resources that comprise a template.

  • Template: A group of TemplateStyle that share similar visual design and structure.
  • TemplateStyle: Unique unit of Creative Template. One Template can include many TemplateStyles with various display ratios (i.e. 4:5, 1:1, 9:16, etc) and various lengths (i.e. 15s, 30sec, etc).
  • TemplateStyleVersion: Individual version of TemplateStyle that may be served in different languages.
info

To learn more about terminology and Amplify API's resource model, refer to Terminology.

Get TemplateStyleVersion ID from Template ID​

Our account management team will provide you with a Template ID for a custom-made hero creative. You can then use this Template ID to get the Template Style Version ID by calling the GET /v2/templates/:template_id/styles API endpoint. and referring to version_ids key.

version_ids is comprised in key-value structure, and key and value represent language and TemplateStyleVersion ID of the said language, respectively.

curl 'https://backend.amplify.shuttlerock.com/v2/templates/TEMPLATE_ID/styles',
-H 'Content-Type: application/json'
-H 'Authorization: Bearer SERVER_ACCESS_TOKEN'
{
"styles": [
{
"id": "bEe1C8", // TemplateStyle ID
"name": {
"en": "Stories Poll"
},
"version_ids": {
"en": "6bzvun" // TemplateStyleVersion ID
},

...
},

...

]
}



Choose video creation method​

If you have the TemplateStyleVersion ID handy, then it's time to make a video! There are two methods to create a video.

3-1. Create videos with API

With Amplify API, you can bypass the editor and create videos automatically by providing text and media assets directly to the API.

3-2. Create videos with Video Editor SDK

With Amplify Editor SDK, you can embed Amplify Editor to your web services, enabling your customers to enter text and media assets to create videos on their own.